import {
  csv
} from 'd3';



export const loadAndProcessData = () => 
//csv('https://vizhub.com/srrajendran/datasets/auto-mpg.csv')
csv('data.csv')
  .then(data => {
    data.forEach(d => {
      d.mpg = +d.mpg;
      d.cylinders = +d.cylinders;
      d.displacement = +d.displacement;
      d.horsepower = +d.horsepower;
      d.weight = +d.weight;
      d.acceleration = +d.acceleration;
      d.year = +d.year;
    });
  //console.log(data.origin);
  return data;
});
